# eric3.Helpviewer.HelpBrowser

Module implementing the helpbrowser.

### Classes

HelpBrowser | Class implementing the helpbrowser widget.

### Functions

None

## HelpBrowser

Class implementing the helpbrowser widget. This is a subclass of the Qt QTextBrowser to implement a custimized setSource method. The implementation was influenced by Qt Assistant, which is copyright by Trolltech AS.

### Derived from

QTextBrowser

### Methods

HelpBrowser | Constructor
createPopupMenu | Method called to create a context menu.
keyPressEvent | Method called by a key press.
keyReleaseEvent | Method called by a key release.
openLinkInNewWindow | Method used to called by the context menu to open a link in a new window.
procExited | Private slot to handle the processExited signal.
setSource | Method used to set the source to be displayed.

### HelpBrowser (Constructor)

HelpBrowser(parent = None, name = None)

Constructor

parent
  parent widget of this window (QWidget)
name
  name of this window (string or QString)

### HelpBrowser.createPopupMenu

createPopupMenu(pos)

Method called to create a context menu. This method is overridden from QTextBrowser.

pos
  document position (QPoint)

### HelpBrowser.keyPressEvent

keyPressEvent(evt)

Method called by a key press. This method is overridden from QTextBrowser.

evt
  the key event (QKeyEvent)

### HelpBrowser.keyReleaseEvent

keyReleaseEvent(evt)

Method called by a key release. This method is overridden from QTextBrowser.

evt
  the key event (QKeyEvent)

### HelpBrowser.openLinkInNewWindow

openLinkInNewWindow()

Method used to called by the context menu to open a link in a new window.

### HelpBrowser.procExited

procExited()

Private slot to handle the processExited signal.

### HelpBrowser.setSource

setSource(name)

Method used to set the source to be displayed. This method is overridden from QTextBrowser.

name
  filename to be shown (QString)

Up